@php
    /**
    * @var Illuminate\Support\ViewErrorBag $errors
    */
@endphp
@if(isset($key))
    <div class="form-group">
        <label class="control-label"
               for="{{str_replace('.', '_', $key)}}"{{!isset($placeholder)?' class="sr-only"':null}}>{{isset($placeholder)?$placeholder:null}}</label>
        <textarea class="form-control"
                  :class="{'is-invalid': errors.has('{{ inputKeyToName($key) }}')}"
                  data-vv-as="{{$placeholder}}"
                  rows="5"
                  id="{{str_replace('.', '_', $key)}}"
                  name="{{ inputKeyToName($key) }}"
                  @isset($validate)
                  v-validate="'{{ $validate }}'"
                  @endisset
                  @if(isset($attributes) && is_array($attributes) && !empty($attributes))
                  @foreach($attributes as $attr_key => $attr_val )
                  @if(is_int($attr_key))
                  {{$attr_val}}
                  @else
                  {!! sprintf('%s="%s"', $attr_key, $attr_val) !!}
                  @endif
                  @endforeach
                  @endif
                  @if(isset($placeholder)) placeholder="{{$placeholder}}" @endif>{{ $value }}</textarea>
        <div v-if="errors.has('{{inputKeyToName($key)}}')" class="invalid-feedback" role="alert">
            @{{errors.first('{!! inputKeyToName($key) !!}')}}
        </div>
    </div>
@endif
